Forums | Admin

Discussion Forums: help

Start New Thread Start New Thread

 

By: Jeff Walters
Issue installing on Ubuntu 10.04: zlib1g [ reply ]  
2011-01-06 19:56
I'm having an issue installing on Ubuntu 10.04. The install is unable to find zlib. The zlib reference I have installed is zlib1g, not zlib1 or zlib, like the install script expects. Is there a way to skip this check for zlib?

jwalters@jwalters-desktop:/var/www$ sudo gem install -r libxml-ruby
[sudo] password for jwalters:
Building native extensions. This could take a while...
ERROR: Error installing libxml-ruby:
ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb
checking for socket() in -lsocket... no
checking for gethostbyname() in -lnsl... yes
checking for atan() in -lm... no
checking for atan() in -lm... yes
checking for inflate() in -lz... no
checking for inflate() in -lzlib... no
checking for inflate() in -lzlib1... no
extconf failure: need zlib


Gem files will remain installed in /var/lib/gems/1.8/gems/libxml-ruby-1.1.4 for inspection.
Results logged to /var/lib/gems/1.8/gems/libxml-ruby-1.1.4/ext/libxml/gem_make.out